Get webhook events
Retrieves a paginated list of delivery events for the specified webhook.
Path Parameters
id*string
Format
uuidQuery Parameters
page*integer
Format
int32page_size*integer
Format
int32search?|
Header Parameters
x-profile-id?string
Profile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.sent.dm/v3/webhooks/d4f5a6b7-c8d9-4e0f-a1b2-c3d4e5f6a7b8/events?page=1&page_size=20"{
"success": true,
"data": {
"events": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"event_type": "message.delivered",
"event_data": {
"valueKind": "Undefined"
},
"delivery_status": "delivered",
"http_status_code": 200,
"response_body": null,
"delivery_attempts": 1,
"error_message": null,
"created_at": "2026-01-20T14:30:00+00:00",
"processing_started_at": "2026-01-20T14:30:01+00:00",
"processing_completed_at": "2026-01-20T14:30:02+00:00"
}
],
"pagination": {
"page": 1,
"page_size": 20,
"total_count": 1,
"total_pages": 1,
"has_more": false,
"cursors": null
}
},
"error": null,
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6728596+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_001",
"message": "Invalid webhook ID format.",
"details": null,
"doc_url": "https://docs.sent.dm/errors/VALIDATION_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6728635+00:00",
"version": "v3"
}
}Empty
Empty
{
"success": false,
"data": null,
"error": {
"code": "RESOURCE_008",
"message": "Webhook not found",
"details": null,
"doc_url": "https://docs.sent.dm/errors/RESOURCE_008"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6728642+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_001",
"message": "An unexpected error occurred while retrieving webhook events",
"details": null,
"doc_url": "https://docs.sent.dm/errors/INTERNAL_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6728648+00:00",
"version": "v3"
}
}